net.fortuna.ical4j.model.property

## Class TzOffsetFrom

- java.lang.Object
- - net.fortuna.ical4j.model.Content
  - - net.fortuna.ical4j.model.Property
    - - net.fortuna.ical4j.model.property.TzOffsetFrom

All Implemented Interfaces:
  Serializable

    public class TzOffsetFrom
    extends Property

$Id$ Created: [Apr 6, 2004] Defines a TZOFFSETFROM iCalendar component property.

Author:
  benf
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class net.fortuna.ical4j.model.Property

`ACTION, ATTACH, ATTENDEE, BUSYTYPE, CALSCALE, CATEGORIES, CLASS, COMMENT, COMPLETED, CONTACT, COUNTRY, CREATED, DESCRIPTION, DTEND, DTSTAMP, DTSTART, DUE, DURATION, EXDATE, EXPERIMENTAL_PREFIX, EXRULE, EXTENDED_ADDRESS, FREEBUSY, GEO, LAST_MODIFIED, LOCALITY, LOCATION, LOCATION_TYPE, METHOD, NAME, ORGANIZER, PERCENT_COMPLETE, POSTALCODE, PRIORITY, PRODID, RDATE, RECURRENCE_ID, REGION, RELATED_TO, REPEAT, REQUEST_STATUS, RESOURCES, RRULE, SEQUENCE, STATUS, STREET_ADDRESS, SUMMARY, TEL, TRANSP, TRIGGER, TZID, TZNAME, TZOFFSETFROM, TZOFFSETTO, TZURL, UID, URL, VERSION`

### Constructor Summary

Constructors
Constructor and Description
`TzOffsetFrom()` Default constructor.
`TzOffsetFrom(ParameterList aList, String aValue)`
`TzOffsetFrom(ParameterList aList, UtcOffset anOffset)`
`TzOffsetFrom(String aValue)`
`TzOffsetFrom(UtcOffset anOffset)`

### Method Summary

Methods
`UtcOffset` `getOffset()`
`String` `getValue()`
`void` `setOffset(UtcOffset offset)`
`void` `setValue(String aValue)` Sets the current value of the property.
`void` `validate()` Perform validation on a property.

### Methods inherited from class net.fortuna.ical4j.model.Property

`copy, equals, getName, getParameter, getParameters, getParameters, hashCode, isCalendarProperty, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TzOffsetFrom

    public TzOffsetFrom()

Default constructor.

#### TzOffsetFrom

    public TzOffsetFrom(String aValue)

Parameters:
  `aValue` - a value string for this component

#### TzOffsetFrom

    public TzOffsetFrom(ParameterList aList,
                String aValue)

Parameters:
  `aList` - a list of parameters for this component
  `aValue` - a value string for this component

#### TzOffsetFrom

    public TzOffsetFrom(UtcOffset anOffset)

Parameters:
  `anOffset` - a timezone offset in milliseconds

#### TzOffsetFrom

    public TzOffsetFrom(ParameterList aList,
                UtcOffset anOffset)

Parameters:
  `aList` - a list of parameters for this component
  `anOffset` - a timezone offset in milliseconds

### Method Detail

#### getOffset

    public final UtcOffset getOffset()

Returns:
  Returns the offset.

#### setValue

    public final void setValue(String aValue)

Sets the current value of the property.

Specified by:
  `setValue` in class `Property`
Parameters:
  `aValue` - a string representation of the property value

#### getValue

    public final String getValue()

Specified by:
  `getValue` in class `Content`
Returns:
  the content value

#### setOffset

    public final void setOffset(UtcOffset offset)

Parameters:
  `offset` - The offset to set.

#### validate

    public final void validate()
                        throws ValidationException

Perform validation on a property.

Specified by:
  `validate` in class `Property`
Throws:
  `ValidationException` - where the property is not in a valid state